from django.contrib import admin

from .models import Post, Image


class ImageInline(admin.StackedInline):
    model = Image
    extra = 1  # количество полей
    fields = ("image", "slug")


@admin.register(Post)
class PostAdmin(admin.ModelAdmin):
    fieldsets = (
        ("Основное", {"classes": ("wide",), "fields": ("title", "text")}),
        ("Дополнительно", {"classes": ("collapse",), "fields": ("pub_date",)}),
    )
    inlines = [
        ImageInline,
    ]
